package weaver.formmode.mzg.modeexpand.resume;

import com.engine.mzg.conn.RecruitCommon;
import weaver.conn.RecordSet;
import weaver.formmode.customjavacode.AbstractModeExpandJavaCodeNew;
import weaver.hrm.User;
import weaver.soa.workflow.request.RequestInfo;

import java.util.HashMap;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2024/10/11
 * @version: 1.0
 */
public class ArchiveTalentPoolExpand extends AbstractModeExpandJavaCodeNew {
    @Override
    public Map<String, String> doModeExpand(Map<String, Object> param) {
        Map<String, String> result = new HashMap<>();
        RecordSet rs = new RecordSet();
        try {
            String billId;
            RequestInfo requestInfo = (RequestInfo) param.get("RequestInfo");
            if (requestInfo != null) {
                User user = (User) param.get("user");
                billId = requestInfo.getRequestid();
                // 查询人才库中是否有该数据
                rs.executeQuery("select id from uf_recruit_rck where jlkid = ?", billId);
                String rckId = "";
                if (rs.next()) {
                    rckId = rs.getString("id");
                    // 更新人才库
                    RecruitCommon.updateTablesData("uf_recruit_rck", "uf_recruit_resume", billId, rckId, "jlkid", user.getUID());
                } else {
                    // 插入人才库
                    RecruitCommon.insertTablesData("uf_recruit_rck", "uf_recruit_resume",billId,"jlkid",user.getUID());
                }
            }
        } catch (Exception e) {
            rs.writeLog(e);
            result.put("errmsg", e.getMessage());
            result.put("flag", "false");
        }
        return result;
    }
}
